/**
 * 区域管理接口
 */
import request from '@/utils/request'

// 区域查询
export function getAreaList(params) {
  return request({
    url: 'area/listPage',
    method: 'get',
    params
  })
}

// 根据部门找其默认区域
export function getAreaByDept(deptid) {
  return request({
    url: 'config/getAreaByDept',
    method: 'get',
    params: {
      deptId: deptid
    }
  })
}

// 区域查询,非分页，加载树用
export function getAreaTree(params) {
  return request({
    url: 'area/list',
    method: 'get',
    params
  })
}
// 区域类型查询
export function getAreaType() {
  return request({
    url: 'dict/code/levelType',
    method: 'get'
  })
}

// 添加区域
export function addArea(params) {
  return request({
    url: 'area/add',
    method: 'post',
    params
  })
}
// 修改区域机构
export function updateArea(params) {
  return request({
    url: 'area/update',
    method: 'post',
    params
  })
}
// 删除区域机构
export function delArea(id) {
  return request({
    url: 'area/delete',
    method: 'post',
    params: {
      id: id
    }
  })
}

// 查询区域
export function getRegion(params) {
  return request({
    url: 'region/listPage',
    method: 'get',
    params: params
  })
}

// 查询区域详情
export function detailRegion(id) {
  return request({
    url: 'region/detail/' + id,
    method: 'get',
    headers: {
      'Content-Type': 'application/x-www-form-urlencoded; charset=UTF-8'
    }
  })
}

// 区域布防撤防
export function updateDefence(params) {
  return request({
    url: 'region/update',
    method: 'post',
    params
  })
}

// 查询区域名称列表
export function getAreaNameList(params) {
  return request({
    url: '/region/getAreaNameList',
    method: 'post',
    params
  })
}

// 根据当前子系统返回areaType
export function getAreaTypeBySubSystem(sysCode) {
  switch (sysCode) {
    case 'door':
      return '1'
    case 'fence':
      return '2'
    case 'region':
      return '3'
    case 'key':
      return '4'
    default:
      return ''
  }
}

// 获取虹膜设备的所在区域
export function getIrisAreaList() {
  return request({
    url: '/region/getIrisAreaList',
    method: 'get'
  })
}
